Package com.logicaldoc.core.security.authentication

# Class AccountInactiveException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.logicaldoc.core.security.authentication.AuthenticationException
com.logicaldoc.core.security.authentication.AccountInactiveException

All Implemented Interfaces:
  `Serializable`

public class AccountInactiveException extends AuthenticationException
Raised when the account is interpreted as inactive because it was not interacting since a lot of days

Since:
  8.7.2
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccountInactiveException()`
`AccountInactiveException(int days)`
`AccountInactiveException(Authenticator authenticator)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`

### Methods inherited from class com.logicaldoc.core.security.authentication.AuthenticationException

`getAuthenticator, mustRecordFailure, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccountInactiveException

public AccountInactiveException()

### AccountInactiveException

public AccountInactiveException(int days)

### AccountInactiveException

public AccountInactiveException(Authenticator authenticator)

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`